Bug 197608 - Review Request: BuildBot - build/test cycle automation
Review Request: BuildBot - build/test cycle automation
Status: CLOSED DUPLICATE of bug 197565
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thorsten Leemhuis (ignored mailbox)
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-04 11:12 EDT by Gianluca Sforna
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-07 12:38:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gianluca Sforna 2006-07-04 11:12:48 EDT
Spec URL: http://giallu.interfree.it/fedora/buildbot.spec
SRPM URL: http://giallu.interfree.it/fedora/buildbot-0.7.3-1.src.rpm

Description: 
BuildBot is a system to automate the compile/test cycle required 
by most software projects to validate code changes. By automatically 
rebuilding and testing the tree each time something has changed, build
problems are pinpointed quickly, before other developers are inconvenienced
by the failure. The guilty developer can be identified and harassed without
human intervention. By running the builds on a variety of platforms, 
developers who do not have the facilities to test their changes everywhere
before checkin will at least know shortly afterwards whether they have broken
the build or not. Warning counts, lint checks, image size, compile time, and
other build parameters can be tracked over time, are more visible, and are 
therefore easier to improve.
Comment 1 Ville Skyttä 2006-07-04 11:39:07 EDT
See bug 197565, one of these should be closed as a dupe.
Comment 2 Gianluca Sforna 2006-07-05 02:39:16 EDT
Great, submitted 8 hours before mine...

I guess we can close this one so I can took the chance to review Michael's one.

thanks a lot for pointing that out.
Comment 3 Gianluca Sforna 2006-07-07 12:38:47 EDT

*** This bug has been marked as a duplicate of 197565 ***

Note You need to log in before you can comment on or make changes to this bug.